/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

/* =========================================== */

/* 	BODY									   */

/* =========================================== */

.style-color-lxmt-bg {
    background-color: #ffffff;
}

.menu-light .menu-smart a:hover,
.menu-light .menu-smart a:focus,
.menu-light .menu-smart>li.active>a,
.menu-light .menu-smart>li a.active,
.menu-light .menu-smart>li.current-menu-ancestor>a,
.menu-light .menu-smart>li.current-menu-item:not(.menu-item-type-custom)>a {
    color: #0d669d;
}

.site-footer {
    display: none;
}

.style-accent-bg a:focus,
.style-accent-bg a:hover,
.style-accent-bg a:focus:active {
    color: #fff !important;
    text-decoration: underline;
}

/* =========================================== */

/* 	TITOLI									   */

/* =========================================== */

.heading-text.el-text .h1:after,
.heading-text.el-text .h2:after,
.heading-text.el-text h1:after {
    content: "";
    width: 50px;
    background: #ddd;
    height: 2px;
    display: block;
    margin: 15px 0px 20px 0px;
}

/* Niente bordo su titoli su row con background */

.row-background+.row .heading-text .h1:after,
.row-background+.row .heading-text .h2:after,
.row-background+.row .heading-text h1:after,
.row-background+.row .heading-text h2:after,
.row-background+.row .heading-text h3:after {
    display: none !important;
}

.heading-text.el-text .h6 {
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #777;
}

.heading-text.el-text .h1,
.heading-text.el-text .h2,
.heading-text.el-text h1 {
    font-size: 42px;
    margin-top: 0px;
}

.main-container .row-container .row-parent .single-internal-gutter .uncont .vc_custom_heading_wrap+.vc_custom_heading_wrap {
    margin-top: 0px;
}

/* =========================================== */

/* 	FOOTER									   */

/* =========================================== */

.site-footer>section {
    background: #ffffff;
}

.vmenu-footer {
    padding: 20px 20px 20px 54px;
}

.footer-content-block-inner {
    display: none;
}

/* =========================================== */

/* 	LOGO									   */

/* =========================================== */

div#logo-container-mobile {
    padding: 30px;
}

.logo-image>img {
    height: auto !important;
    max-width: 200px;
}

/* =========================================== */

/* 	PROJECT									   */

/* =========================================== */

.row-container.row-navigation.row-navigation-light {
    max-width: 1120px;
    margin: 0 auto;
    background: #ffffff;
    outline: 0px;
    border: 1px solid #dddddd;
}

.tmb .t-entry .t-entry-title {
    font-size: 21px !important;
}

/* =========================================== */

/* 	COOKIE BANNER							   */

/* =========================================== */

div#cookie-law-info-bar {
    max-width: 50%;
    border-radius: 8px;
    box-shadow: 0px 20px 50px rgba(0, 0, 0, .2);
    bottom: 30px !important;
    left: 50%;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
    -moz-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    -o-transform: translate(-50%, 0);
}

/* =========================================== */

/* 	ALERT									   */

/* =========================================== */

.fb-alert-message {
    background: rgba(255, 0, 0, .08);
    padding: 30px;
    border: 10px solid rgba(255, 0, 0, .02);
}

/* =========================================== */

/* 	WORKSHOP								   */

/* =========================================== */

.fb-workshop-grid .uncode_text_column {
    border: 1px solid #ddd;
    padding: 20px;
    max-width: calc(33.333% - 30px);
    width: 100%;
    display: inline-block;
    vertical-align: top;
    margin-top: 0px !important;
    margin-right: 30px;
    min-height: 380px;
    margin-bottom: 30px;
}

.fb-workshop-grid.fb-workshop-grid-workshop .uncode_text_column,
.fb-workshop-grid.fb-workshop-grid-leika .uncode_text_column {
    padding: 0px 0px 20px 0px;
}

h3.text-color-nhtu-color,
h3.text-color-nhtu-color h1,
h3.text-color-nhtu-color h3 {
    margin: 0 auto;
    display: inline-block;
    width: 100%;
    color: black !important;
}

.fb-workshop-grid.fb-workshop-grid-workshop .uncode_text_column h3 {
    margin-top: 20px;
}

.fb-workshop-grid.fb-workshop-grid-workshop .uncode_text_column h3,
.fb-workshop-grid.fb-workshop-grid-workshop .uncode_text_column p:not(:first-of-type),
.fb-workshop-grid.fb-workshop-grid-leika .uncode_text_column h3,
.fb-workshop-grid.fb-workshop-grid-leika .uncode_text_column p:not(:first-of-type) {
    padding: 0px 20px;
}

@media all and (max-width: 1140px) {
    .fb-workshop-grid .uncode_text_column {
        max-width: calc(50% - 30px);
        margin-right: 0px;
    }
    .fb-workshop-grid .uncode_text_column:nth-child(odd) {
        margin-right: 30px;
    }
}

@media all and (max-width: 650px) {
    .fb-workshop-grid .uncode_text_column {
        max-width: 100%;
        display: block;
        margin-right: 0px;
        min-height: auto;
    }
    .fb-workshop-grid .row-parent {
        padding: 0px !important;
    }
}

/* =========================================== */

/* 	CORPORATE								   */

/* =========================================== */

/* Custom color Leica Camera (da blu a rosso) */

.page-id-1281 .border-color-210407-color {
    border-color: #ed1c24 !important;
}

.page-id-1281 .style-color-210407-bg {
    background-color: #ed1c24;
}

/* Link rassegna stampa */

#fb-rassegnastampa {
    column-count: 3;
}

@media all and (max-width: 959px) {
    #fb-rassegnastampa {
        column-count: 2;
    }
}

@media all and (max-width: 500px) {
    #fb-rassegnastampa {
        column-count: 1;
    }
}

#fb-rassegnastampa li {
    list-style: none;
}

#fb-rassegnastampa li a:before {
    content: "";
    width: 32px;
    height: 32px;
    display: inline-block;
    background: url(/wp-content/uploads/2020/11/icon-rassegnastampa.png);
    background-size: cover;
    vertical-align: middle;
    margin-right: 10px;
}

#fb-rassegnastampa li a {
    display: block;
    border: 1px solid #ededed;
    margin-bottom: 5px;
    padding: 5px 10px !important;
}

#fb-rassegnastampa li a:hover,
#fb-rassegnastampa li a:focus {
    border-color: #0d669d66;
}

#fb-rassegnastampa ul {
    padding-left: 0px;
}

/* =========================================== */

/* 	HOME									   */

/* =========================================== */

.home .btn {
    transform-origin: center !important;
    transform: none !important;
}

/* ========================================================================================================================= */

/* ========================================================================================================================= */

/* 	MEDIA QUERIES	   								   																		 */

/* ========================================================================================================================= */

/* ========================================================================================================================= */

@media all and (min-width: 959px) {
    .dropdown-toggle+ul li a {
        padding: 0px 54px 5px 20px !important;
    }
    .dropdown-toggle+ul li a:before {
        content: "";
        border-bottom: 1px solid #ccc;
        display: inline-block;
        height: 1px;
        width: 8px;
        position: absolute;
        top: 5px;
        left: 0px;
    }
    .dropdown.menu-item-has-children>ul {
        padding-left: 54px !important;
    }
    ul.drop-menu ul.drop-menu {
        padding-left: 20px !important;
    }
}

@media all and (max-width: 959px) {
    div#cookie-law-info-bar {
        max-width: 80%;
    }
    .menu-container .logo-container {
        position: relative;
        padding: 30px 36px 30px 36px !important;
    }
    .logo-image>img {
        max-height: 50px;
        position: absolute;
        top: -12px;
    }
}